- hosts: all
  become: true
  tasks:
  - hostname: 
      name: origin.example.com
  - copy:
      src: hosts
      dest: /etc/hosts
  - file:
      state: directory
      owner: root
      mode: 0700
      name: /root/.ssh
  - copy:
      src: "{{ item }}"
      dest: /root/.ssh/{{ item }}
      owner: root
      group: root
      mode: 0400
    loop:
    - authorized_keys
    - id_rsa
    - id_rsa.pub
    - config
  - copy:
      src: sshd_config
      dest: /etc/ssh/
      mode: 444
  - service:
      name: sshd
      state: restarted
  - yum:
      name: '*'
      state: latest
  - yum: 
      name: dnsmasq
      state: latest
  - copy:
      dest: /etc/dnsmasq.d/origin.example.com
      content: "address=/origin.example.com/192.168.18.11"
  - service:
      name: dnsmasq
      state: restarted
  - yum:
      name: wget,git,net-tools,bind-utils,yum-utils,iptables-services,bridge-utils,bash-completion,kexec-tools,sos,psacct
      state: latest
  - yum:
      name: centos-release-openshift-origin311.noarch
      state: latest
  - yum:
      name: ansible
      state: latest
  - yum:
      name: epel-release,openshift-ansible-playbooks,openshift-ansible-roles
      state: latest
  - shell: sed -i -e "s/^enabled=1/enabled=0/" /etc/yum.repos.d/epel.repo
  - yum:
      name: docker
      state: latest
  - copy:
       src: inventory
       dest: /usr/share/ansible/openshift-ansible/playbooks    
